import es
import cfglib

info = es.AddonInfo()
info.name			= "Knifemod"
info.version		= "2.0"
info.author			= "Owned|Myself"
info.url			= "http://addons.eventscripts.com/addons/view/knifemod"
info.basename		= "knifemod"
info.description	= "Enhance the Knife for CS:S"

config = cfglib.AddonCFG(es.getAddonPath("knifemod") + "/knifemod.cfg")

config.text("********Knifemod V2.0*************")
config.text("*******By Owned|Myself************")

knifemod_damage			= config.cvar("knifemod_damage",			5000, "The amount of damage wanted to damage with:")
knifemod_time			= config.cvar("knifemod_time",				5.0, "The amount of time in seconds that a person should be enhanced for:")
knifemod_autoswitchoff	= config.cvar("knifemod_autoswitchoff",		0, "Unloads Knifemod at each map start if equal to 1:")
knifemod_config_execute	= config.cvar("knifemod_config_execute",	0, "Executes the CFG file at each round start to register changes if equal to 1:")
knifemod_invisibility	= config.cvar("knifemod_invisibility",		1, "Makes the player Invisible when he hurts an enemy with the knife:")

config.write()
def load():
	config.execute()

def round_start(event_var):
 	es.server.cmd('es_msg #multi #green [#lightgreen Knifemod #green]#default is loaded!')
	es.server.cmd('es popup send Knifemod #all')
	if knifemod_config_execute == 1:
	    config.execute()
def player_hurt(event_var):
 	if (event_var['weapon'] == "knife"):
 		es.server.cmd('es damage event_var(userid) server_var(knifemod_damage) 0 event_var(attacker)')
		es.server.cmd('es playerset speed event_var(attacker) 2')
		if knifemod_invisibility == 1:
		    es.server.cmd('es playerset color event_var(attacker) 255 255 255 0')
def player_death(event_var):
 	if (event_var['es_userdead'] == "1"):
 		es.server.cmd('es_delayed server_var(knifemod_time) es playerset speed event_var(attacker) 1')
		if knifemod_invisibility == 1:
		    es.server.cmd('es_delayed server_var(knifemod_time) es playerset color event_var(attacker) 255 255 255 255')
 	if (event_var['es_userdead'] == "0"):
 		es.server.cmd('es_delayed server_var(knifemod_time) es playerset speed event_var(attacker) 1')
		if knifemod_invisibility == 1:
		    es.server.cmd('es_delayed server_var(knifemod_time) es playerset color event_var(attacker) 255 255 255 255')
def es_map_start(event_var):
 	if knifemod_autoswitchoff == 1:
 		es.server.cmd('es_unload knifemod')
		es.server.cmd('echo Knifemod Unloaded due to Map Change')
def unload():
	es.server.cmd('es_msg #multi #green [#lightgreen Knifemod #green] #default has been unloaded!')